This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1253075 - [abrt] bash: strlen(): bash killed by SIGSEGV
[abrt] bash: strlen(): bash killed by SIGSEGV
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Oprala
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2ee333dc642e76c7009b6ad4dec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 17:59 EDT by Eric Blake
Modified: 2016-01-31 21:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-13 03:33:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.83 KB, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: cgroup (191 bytes, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: core_backtrace (3.53 KB, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: dso_list (575 bytes, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: environ (3.88 KB, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: maps (2.53 KB, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: mountinfo (4.34 KB, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: open_fds (140 bytes, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details
File: var_log_messages (288 bytes, text/plain)
2015-08-12 17:59 EDT, Eric Blake
no flags Details

  None (edit)
Description Eric Blake 2015-08-12 17:59:35 EDT
Description of problem:
one-liner crasher from the bug-bash list

Version-Release number of selected component:
bash-4.3.39-6.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        bash -c 'x=-3; echo ${!x}'
crash_function: strlen
executable:     /usr/bin/bash
global_pid:     23817
kernel:         4.1.3-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            14986

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 get_dollar_var_value at subst.c:2981
 #2 parameter_brace_expand_word at subst.c:5758
 #3 parameter_brace_expand_indir at subst.c:5929
 #4 parameter_brace_expand at subst.c:7378
 #5 param_expand at subst.c:7876
 #6 expand_word_internal at subst.c:8398
 #7 shell_expand_word_list at subst.c:9589
 #8 expand_word_list_internal at subst.c:9709
 #9 expand_words at subst.c:9285
Comment 1 Eric Blake 2015-08-12 17:59:37 EDT
Created attachment 1062271 [details]
File: backtrace
Comment 2 Eric Blake 2015-08-12 17:59:38 EDT
Created attachment 1062272 [details]
File: cgroup
Comment 3 Eric Blake 2015-08-12 17:59:39 EDT
Created attachment 1062273 [details]
File: core_backtrace
Comment 4 Eric Blake 2015-08-12 17:59:40 EDT
Created attachment 1062274 [details]
File: dso_list
Comment 5 Eric Blake 2015-08-12 17:59:41 EDT
Created attachment 1062275 [details]
File: environ
Comment 6 Eric Blake 2015-08-12 17:59:41 EDT
Created attachment 1062276 [details]
File: limits
Comment 7 Eric Blake 2015-08-12 17:59:42 EDT
Created attachment 1062277 [details]
File: maps
Comment 8 Eric Blake 2015-08-12 17:59:43 EDT
Created attachment 1062278 [details]
File: mountinfo
Comment 9 Eric Blake 2015-08-12 17:59:43 EDT
Created attachment 1062279 [details]
File: namespaces
Comment 10 Eric Blake 2015-08-12 17:59:44 EDT
Created attachment 1062280 [details]
File: open_fds
Comment 11 Eric Blake 2015-08-12 17:59:45 EDT
Created attachment 1062281 [details]
File: proc_pid_status
Comment 12 Eric Blake 2015-08-12 17:59:46 EDT
Created attachment 1062282 [details]
File: var_log_messages
Comment 13 Ondrej Oprala 2015-08-13 03:33:01 EDT
This is an upstream bug, we should wait until they fix it and not concont a solution of our own. I'll backport it once Chet issues a fix.

Note You need to log in before you can comment on or make changes to this bug.